Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F152520791
D20291.id.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D20291.id.diff
View Options
Index: head/tools/build/beinstall.sh
===================================================================
--- head/tools/build/beinstall.sh
+++ head/tools/build/beinstall.sh
@@ -54,10 +54,6 @@
########################################################################
-## Constants
-ETCUPDATE_CMD="etcupdate"
-MERGEMASTER_CMD="mergemaster"
-
## Functions
cleanup() {
[ -z "${cleanup_commands}" ] && return
@@ -126,23 +122,22 @@
}
update_mergemaster_pre() {
- mergemaster -p -m ${srcdir} -D ${BE_MNTPT} -t ${BE_MM_ROOT} ${MERGEMASTER_FLAGS}
+ ${MERGEMASTER_CMD} -p -m ${srcdir} -D ${BE_MNTPT} -t ${BE_MM_ROOT} ${MERGEMASTER_FLAGS}
}
update_mergemaster() {
- chroot ${BE_MNTPT} \
- mergemaster -m ${srcdir} -t ${BE_MM_ROOT} ${MERGEMASTER_FLAGS}
+ ${MERGEMASTER_CMD} -m ${srcdir} -D ${BE_MNTPT} -t ${BE_MM_ROOT} ${MERGEMASTER_FLAGS}
}
update_etcupdate_pre() {
- etcupdate -p -s ${srcdir} -D ${BE_MNTPT} ${ETCUPDATE_FLAGS} || return $?
- etcupdate resolve -D ${BE_MNTPT} || return $?
+ ${ETCUPDATE_CMD} -p -s ${srcdir} -D ${BE_MNTPT} ${ETCUPDATE_FLAGS} || return $?
+ ${ETCUPDATE_CMD} resolve -D ${BE_MNTPT} || return $?
}
update_etcupdate() {
chroot ${BE_MNTPT} \
- etcupdate -s ${srcdir} ${ETCUPDATE_FLAGS} || return $?
- chroot ${BE_MNTPT} etcupdate resolve
+ ${ETCUPDATE_CMD} -s ${srcdir} ${ETCUPDATE_FLAGS} || return $?
+ chroot ${BE_MNTPT} ${ETCUPDATE_CMD} resolve
}
@@ -174,6 +169,10 @@
srcdir=$(pwd)
objdir=$(make -V .OBJDIR 2>/dev/null)
[ ! -d "${objdir}" ] && errx "Must have built FreeBSD from source tree"
+
+## Constants
+ETCUPDATE_CMD="${srcdir}/usr.sbin/etcupdate/etcupdate.sh"
+MERGEMASTER_CMD="${srcdir}/usr.sbin/mergemaster/mergemaster.sh"
# May be a worktree, in which case .git is a file, not a directory.
if [ -e .git ] ; then
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, Apr 16, 11:34 AM (6 h, 42 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31599801
Default Alt Text
D20291.id.diff (1 KB)
Attached To
Mode
D20291: Update beinstall to use the mergemaster/etcupdate from the source tree instead of the installed one.
Attached
Detach File
Event Timeline
Log In to Comment